
TYPO3.Flow - Feature # 88

Status: Resolved Priority: Should have
Author: Robert Lemke Category: MVC
Created: 2008-01-15 Assigned To: Robert Lemke
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Add forwarding support to MVC controller
Description

Add forwarding support to MVC controller ... something like $this->forward($controllerName, $actionName) and other features.

Associated revisions
Revision a0862d02 - 2008-08-04 14:40 - Robert Lemke

    -  FLOW3: (MVC) Renamed the Default Controller. Addresses #474
    -  FLOW3: (MVC) Implemented the dispatch loop: The request object now contains a flag which tells if the dispatcher needs to dispatch the request
again because it contains new information about the responsible controller.
    -  FLOW3: (MVC) The Request object now works differently in terms of specifying the controller: Instead of passing the controller component name,
it is now specified by setting the package key and controller name. Addresses #474
    -  FLOW3: (MVC) Implemented support for forwarding requests (see Request Handling Controller). Resolves #88 and resolves #215.
    -  FLOW3: (MVC) Removed the locking feature from the Request object - otherwise forwarding would not be possible.
    -  FLOW3: (MVC) Refactored mmost of the controller-related tests and fixtures.
    -  FLOW3: Adapted the standard routes
    -  FLOW3 + TYPO3: Updated the Package Meta information

History
#1 - 2008-01-28 15:56 - Robert Lemke
- Target version changed from 1 to 18

#2 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)

#3 - 2008-08-04 14:43 - Robert Lemke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1070.
